package domain

import (
	"topsdk/util"
)

type TaobaoFenxiaoOrdersGetOrderMessages struct {
	/*
	   留言时间     */
	MessageTime *util.LocalTime `json:"message_time,omitempty" `

	/*
	   留言标题，例如：分销商留言，供应商留言，买家留言     */
	MessageTitle *string `json:"message_title,omitempty" `

	/*
	   留言内容     */
	MessageContent *string `json:"message_content,omitempty" `

	/*
	   留言时的图片地址     */
	PicUrl *string `json:"pic_url,omitempty" `
}

func (s *TaobaoFenxiaoOrdersGetOrderMessages) SetMessageTime(v util.LocalTime) *TaobaoFenxiaoOrdersGetOrderMessages {
	s.MessageTime = &v
	return s
}
func (s *TaobaoFenxiaoOrdersGetOrderMessages) SetMessageTitle(v string) *TaobaoFenxiaoOrdersGetOrderMessages {
	s.MessageTitle = &v
	return s
}
func (s *TaobaoFenxiaoOrdersGetOrderMessages) SetMessageContent(v string) *TaobaoFenxiaoOrdersGetOrderMessages {
	s.MessageContent = &v
	return s
}
func (s *TaobaoFenxiaoOrdersGetOrderMessages) SetPicUrl(v string) *TaobaoFenxiaoOrdersGetOrderMessages {
	s.PicUrl = &v
	return s
}
